Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.unigene
Interface UnigeneFactory

All Known Implementing Classes:
  FlatFileUnigeneFactory, SQLUnigeneFactory

    public interface UnigeneFactory

Objects that can be used to produce a `UnigeneDB` instance given a URL.

This class is intended for implementers of the Unigene functionality

The URL is used to locate the unigene data, as well as potentialy deciding upon the access mechanism. Factory implementations are provided for `file` and `jdbc` URLs. You can add another stoorage mechanism to the system by writing an implementation of `UnigeneFactory` and registering it with UnigeneTools.

Author:
  Matthew Pocock

Method Summary
`boolean` | `canAccept(URL unigeneURL)`
`UnigeneDB` | `createUnigene(URL unigeneURL)`
`UnigeneDB` | `loadUnigene(URL unigeneURL)`

Method Detail

### loadUnigene

    UnigeneDB loadUnigene(URL unigeneURL)
                          throws BioException

  Throws:
    `BioException`

### createUnigene

    UnigeneDB createUnigene(URL unigeneURL)
                            throws BioException

  Throws:
    `BioException`

### canAccept

    boolean canAccept(URL unigeneURL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD